# contractorOps.periods.list

List contractor pay periods with period dates, hours due date, pay date, status (open, submitted, approved, paid, skipped), and submitted and approved minutes.

`GET | POST /api/v1/accounting/contractorOps.periods.list`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_contractor_ops_periods_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `limit` | integer |  | How many results to return at most. 1 to 100. Default `30`. |
| `offset` | integer |  | How many results to skip, for the next page of a list. 0 to 100000. Default `0`. |
| `contractorId` | string (ID) |  | The ID of a contractor, from contractors.list. |
| `status` | enum |  | Only include records with this status. One of: `open`, `submitted`, `approved`, `paid`, `skipped`. |
| `from` | string (date) |  | The first date to include, as YYYY-MM-DD. |
| `to` | string (date) |  | The last date to include, as YYYY-MM-DD. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/contractorOps.periods.list \
  -H "Authorization: Bearer $OATMILK_API_KEY"
```

Reference page: https://app.getoatmilk.com/docs/api/contractorOps.periods.list
